<?xml version="1.0" encoding="utf-8"?>
<linkbase xsi:schemaLocation="http://www.xbrl.org/2003/linkbase http://www.xbrl.org/2003/xbrl-linkbase-2003-12-31.xsd" xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance" xmlns="http://www.xbrl.org/2003/linkbase">
  <labelLink xlink:role="http://www.xbrl.org/2003/role/link" xlink:type="extended" xmlns:xlink="http://www.w3.org/1999/xlink">
    <loc xlink:type="locator" xlink:href="https://xbrl.ifrs.org/taxonomy/2022-03-24/full_ifrs/full_ifrs-cor_2022-03-24.xsd#ifrs-full_ProfitLossAttributableToOwnersOfParent" xlink:label="ifrs-full_ProfitLossAttributableToOwnersOfParent" />
    <loc xlink:type="locator" xlink:href="https://xbrl.ifrs.org/taxonomy/2022-03-24/full_ifrs/full_ifrs-cor_2022-03-24.xsd#ifrs-full_OtherComprehensiveIncomeThatWillBeReclassifiedToProfitOrLossNetOfTax" xlink:label="ifrs-full_OtherComprehensiveIncomeThatWillBeReclassifiedToProfitOrLossNetOfTax" />
    <loc xlink:type="locator" xlink:href="https://xbrl.ifrs.org/taxonomy/2022-03-24/full_ifrs/full_ifrs-cor_2022-03-24.xsd#ifrs-full_OtherComprehensiveIncome" xlink:label="ifrs-full_OtherComprehensiveIncome" />
    <loc xlink:type="locator" xlink:href="https://xbrl.ifrs.org/taxonomy/2022-03-24/full_ifrs/full_ifrs-cor_2022-03-24.xsd#ifrs-full_ComprehensiveIncomeAttributableToOwnersOfParent" xlink:label="ifrs-full_ComprehensiveIncomeAttributableToOwnersOfParent" />
    <loc xlink:type="locator" xlink:href="https://xbrl.ifrs.org/taxonomy/2022-03-24/full_ifrs/full_ifrs-cor_2022-03-24.xsd#ifrs-full_ComprehensiveIncomeAttributableToNoncontrollingInterests" xlink:label="ifrs-full_ComprehensiveIncomeAttributableToNoncontrollingInterests" />
    <loc xlink:type="locator" xlink:href="https://xbrl.ifrs.org/taxonomy/2022-03-24/full_ifrs/full_ifrs-cor_2022-03-24.xsd#ifrs-full_BasicEarningsLossPerShare" xlink:label="ifrs-full_BasicEarningsLossPerShare" />
    <loc xlink:type="locator" xlink:href="https://xbrl.ifrs.org/taxonomy/2022-03-24/full_ifrs/full_ifrs-cor_2022-03-24.xsd#ifrs-full_DilutedEarningsLossPerShare" xlink:label="ifrs-full_DilutedEarningsLossPerShare" />
    <loc xlink:type="locator" xlink:href="https://xbrl.ifrs.org/taxonomy/2022-03-24/full_ifrs/full_ifrs-cor_2022-03-24.xsd#ifrs-full_NumberOfSharesOutstanding" xlink:label="ifrs-full_NumberOfSharesOutstanding" />
    <loc xlink:type="locator" xlink:href="https://xbrl.ifrs.org/taxonomy/2022-03-24/full_ifrs/full_ifrs-cor_2022-03-24.xsd#ifrs-full_WeightedAverageShares" xlink:label="ifrs-full_WeightedAverageShares" />
    <loc xlink:type="locator" xlink:href="https://xbrl.ifrs.org/taxonomy/2022-03-24/full_ifrs/full_ifrs-cor_2022-03-24.xsd#ifrs-full_AdjustedWeightedAverageShares" xlink:label="ifrs-full_AdjustedWeightedAverageShares" />
    <loc xlink:type="locator" xlink:href="infreaab-2023-12-31.xsd#infreaab_Nettoomsaettning" xlink:label="infreaab_Nettoomsaettning" />
    <loc xlink:type="locator" xlink:href="https://xbrl.ifrs.org/taxonomy/2022-03-24/full_ifrs/full_ifrs-cor_2022-03-24.xsd#ifrs-full_OtherIncome" xlink:label="ifrs-full_OtherIncome" />
    <loc xlink:type="locator" xlink:href="https://xbrl.ifrs.org/taxonomy/2022-03-24/full_ifrs/full_ifrs-cor_2022-03-24.xsd#ifrs-full_Revenue" xlink:label="ifrs-full_Revenue" />
    <loc xlink:type="locator" xlink:href="https://xbrl.ifrs.org/taxonomy/2022-03-24/full_ifrs/full_ifrs-cor_2022-03-24.xsd#ifrs-full_RawMaterialsAndConsumablesUsed" xlink:label="ifrs-full_RawMaterialsAndConsumablesUsed" />
    <loc xlink:type="locator" xlink:href="https://xbrl.ifrs.org/taxonomy/2022-03-24/full_ifrs/full_ifrs-cor_2022-03-24.xsd#ifrs-full_OtherExpenseByNature" xlink:label="ifrs-full_OtherExpenseByNature" />
    <loc xlink:type="locator" xlink:href="https://xbrl.ifrs.org/taxonomy/2022-03-24/full_ifrs/full_ifrs-cor_2022-03-24.xsd#ifrs-full_EmployeeBenefitsExpense" xlink:label="ifrs-full_EmployeeBenefitsExpense" />
    <loc xlink:type="locator" xlink:href="https://xbrl.ifrs.org/taxonomy/2022-03-24/full_ifrs/full_ifrs-cor_2022-03-24.xsd#ifrs-full_DepreciationAndAmortisationExpense" xlink:label="ifrs-full_DepreciationAndAmortisationExpense" />
    <loc xlink:type="locator" xlink:href="https://xbrl.ifrs.org/taxonomy/2022-03-24/full_ifrs/full_ifrs-cor_2022-03-24.xsd#ifrs-full_OtherGainsLosses" xlink:label="ifrs-full_OtherGainsLosses" />
    <loc xlink:type="locator" xlink:href="https://xbrl.ifrs.org/taxonomy/2022-03-24/full_ifrs/full_ifrs-cor_2022-03-24.xsd#ifrs-full_ProfitLossFromOperatingActivities" xlink:label="ifrs-full_ProfitLossFromOperatingActivities" />
    <loc xlink:type="locator" xlink:href="https://xbrl.ifrs.org/taxonomy/2022-03-24/full_ifrs/full_ifrs-cor_2022-03-24.xsd#ifrs-full_FinanceIncome" xlink:label="ifrs-full_FinanceIncome" />
    <loc xlink:type="locator" xlink:href="https://xbrl.ifrs.org/taxonomy/2022-03-24/full_ifrs/full_ifrs-cor_2022-03-24.xsd#ifrs-full_FinanceCosts" xlink:label="ifrs-full_FinanceCosts" />
    <loc xlink:type="locator" xlink:href="infreaab-2023-12-31.xsd#infreaab_Finansnetto" xlink:label="infreaab_Finansnetto" />
    <loc xlink:type="locator" xlink:href="https://xbrl.ifrs.org/taxonomy/2022-03-24/full_ifrs/full_ifrs-cor_2022-03-24.xsd#ifrs-full_ProfitLossBeforeTax" xlink:label="ifrs-full_ProfitLossBeforeTax" />
    <loc xlink:type="locator" xlink:href="https://xbrl.ifrs.org/taxonomy/2022-03-24/full_ifrs/full_ifrs-cor_2022-03-24.xsd#ifrs-full_IncomeTaxExpenseContinuingOperations" xlink:label="ifrs-full_IncomeTaxExpenseContinuingOperations" />
    <loc xlink:type="locator" xlink:href="https://xbrl.ifrs.org/taxonomy/2022-03-24/full_ifrs/full_ifrs-cor_2022-03-24.xsd#ifrs-full_ProfitLossFromContinuingOperations" xlink:label="ifrs-full_ProfitLossFromContinuingOperations" />
    <loc xlink:type="locator" xlink:href="https://xbrl.ifrs.org/taxonomy/2022-03-24/full_ifrs/full_ifrs-cor_2022-03-24.xsd#ifrs-full_IntangibleAssetsAndGoodwill" xlink:label="ifrs-full_IntangibleAssetsAndGoodwill" />
    <loc xlink:type="locator" xlink:href="https://xbrl.ifrs.org/taxonomy/2022-03-24/full_ifrs/full_ifrs-cor_2022-03-24.xsd#ifrs-full_PropertyPlantAndEquipment" xlink:label="ifrs-full_PropertyPlantAndEquipment" />
    <loc xlink:type="locator" xlink:href="https://xbrl.ifrs.org/taxonomy/2022-03-24/full_ifrs/full_ifrs-cor_2022-03-24.xsd#ifrs-full_RightofuseAssets" xlink:label="ifrs-full_RightofuseAssets" />
    <loc xlink:type="locator" xlink:href="https://xbrl.ifrs.org/taxonomy/2022-03-24/full_ifrs/full_ifrs-cor_2022-03-24.xsd#ifrs-full_OtherNoncurrentReceivables" xlink:label="ifrs-full_OtherNoncurrentReceivables" />
    <loc xlink:type="locator" xlink:href="https://xbrl.ifrs.org/taxonomy/2022-03-24/full_ifrs/full_ifrs-cor_2022-03-24.xsd#ifrs-full_NoncurrentAssets" xlink:label="ifrs-full_NoncurrentAssets" />
    <loc xlink:type="locator" xlink:href="https://xbrl.ifrs.org/taxonomy/2022-03-24/full_ifrs/full_ifrs-cor_2022-03-24.xsd#ifrs-full_Inventories" xlink:label="ifrs-full_Inventories" />
    <loc xlink:type="locator" xlink:href="https://xbrl.ifrs.org/taxonomy/2022-03-24/full_ifrs/full_ifrs-cor_2022-03-24.xsd#ifrs-full_ContractAssets" xlink:label="ifrs-full_ContractAssets" />
    <loc xlink:type="locator" xlink:href="https://xbrl.ifrs.org/taxonomy/2022-03-24/full_ifrs/full_ifrs-cor_2022-03-24.xsd#ifrs-full_CurrentTradeReceivables" xlink:label="ifrs-full_CurrentTradeReceivables" />
    <loc xlink:type="locator" xlink:href="https://xbrl.ifrs.org/taxonomy/2022-03-24/full_ifrs/full_ifrs-cor_2022-03-24.xsd#ifrs-full_CurrentPrepaidExpenses" xlink:label="ifrs-full_CurrentPrepaidExpenses" />
    <loc xlink:type="locator" xlink:href="https://xbrl.ifrs.org/taxonomy/2022-03-24/full_ifrs/full_ifrs-cor_2022-03-24.xsd#ifrs-full_OtherReceivables" xlink:label="ifrs-full_OtherReceivables" />
    <loc xlink:type="locator" xlink:href="https://xbrl.ifrs.org/taxonomy/2022-03-24/full_ifrs/full_ifrs-cor_2022-03-24.xsd#ifrs-full_CashAndCashEquivalents" xlink:label="ifrs-full_CashAndCashEquivalents" />
    <loc xlink:type="locator" xlink:href="https://xbrl.ifrs.org/taxonomy/2022-03-24/full_ifrs/full_ifrs-cor_2022-03-24.xsd#ifrs-full_CurrentAssets" xlink:label="ifrs-full_CurrentAssets" />
    <loc xlink:type="locator" xlink:href="https://xbrl.ifrs.org/taxonomy/2022-03-24/full_ifrs/full_ifrs-cor_2022-03-24.xsd#ifrs-full_Assets" xlink:label="ifrs-full_Assets" />
    <loc xlink:type="locator" xlink:href="https://xbrl.ifrs.org/taxonomy/2022-03-24/full_ifrs/full_ifrs-cor_2022-03-24.xsd#ifrs-full_IssuedCapital" xlink:label="ifrs-full_IssuedCapital" />
    <loc xlink:type="locator" xlink:href="https://xbrl.ifrs.org/taxonomy/2022-03-24/full_ifrs/full_ifrs-cor_2022-03-24.xsd#ifrs-full_AdditionalPaidinCapital" xlink:label="ifrs-full_AdditionalPaidinCapital" />
    <loc xlink:type="locator" xlink:href="https://xbrl.ifrs.org/taxonomy/2022-03-24/full_ifrs/full_ifrs-cor_2022-03-24.xsd#ifrs-full_RetainedEarnings" xlink:label="ifrs-full_RetainedEarnings" />
    <loc xlink:type="locator" xlink:href="https://xbrl.ifrs.org/taxonomy/2022-03-24/full_ifrs/full_ifrs-cor_2022-03-24.xsd#ifrs-full_EquityAttributableToOwnersOfParent" xlink:label="ifrs-full_EquityAttributableToOwnersOfParent" />
    <loc xlink:type="locator" xlink:href="https://xbrl.ifrs.org/taxonomy/2022-03-24/full_ifrs/full_ifrs-cor_2022-03-24.xsd#ifrs-full_Equity" xlink:label="ifrs-full_Equity" />
    <loc xlink:type="locator" xlink:href="https://xbrl.ifrs.org/taxonomy/2022-03-24/full_ifrs/full_ifrs-cor_2022-03-24.xsd#ifrs-full_LongtermBorrowings" xlink:label="ifrs-full_LongtermBorrowings" />
    <loc xlink:type="locator" xlink:href="https://xbrl.ifrs.org/taxonomy/2022-03-24/full_ifrs/full_ifrs-cor_2022-03-24.xsd#ifrs-full_NoncurrentLeaseLiabilities" xlink:label="ifrs-full_NoncurrentLeaseLiabilities" />
    <loc xlink:type="locator" xlink:href="https://xbrl.ifrs.org/taxonomy/2022-03-24/full_ifrs/full_ifrs-cor_2022-03-24.xsd#ifrs-full_OtherProvisions" xlink:label="ifrs-full_OtherProvisions" />
    <loc xlink:type="locator" xlink:href="https://xbrl.ifrs.org/taxonomy/2022-03-24/full_ifrs/full_ifrs-cor_2022-03-24.xsd#ifrs-full_DeferredTaxLiabilities" xlink:label="ifrs-full_DeferredTaxLiabilities" />
    <loc xlink:type="locator" xlink:href="https://xbrl.ifrs.org/taxonomy/2022-03-24/full_ifrs/full_ifrs-cor_2022-03-24.xsd#ifrs-full_NoncurrentLiabilities" xlink:label="ifrs-full_NoncurrentLiabilities" />
    <loc xlink:type="locator" xlink:href="https://xbrl.ifrs.org/taxonomy/2022-03-24/full_ifrs/full_ifrs-cor_2022-03-24.xsd#ifrs-full_ShorttermBorrowings" xlink:label="ifrs-full_ShorttermBorrowings" />
    <loc xlink:type="locator" xlink:href="https://xbrl.ifrs.org/taxonomy/2022-03-24/full_ifrs/full_ifrs-cor_2022-03-24.xsd#ifrs-full_CurrentLeaseLiabilities" xlink:label="ifrs-full_CurrentLeaseLiabilities" />
    <loc xlink:type="locator" xlink:href="https://xbrl.ifrs.org/taxonomy/2022-03-24/full_ifrs/full_ifrs-cor_2022-03-24.xsd#ifrs-full_TradeAndOtherCurrentPayables" xlink:label="ifrs-full_TradeAndOtherCurrentPayables" />
    <loc xlink:type="locator" xlink:href="https://xbrl.ifrs.org/taxonomy/2022-03-24/full_ifrs/full_ifrs-cor_2022-03-24.xsd#ifrs-full_ContractLiabilities" xlink:label="ifrs-full_ContractLiabilities" />
    <loc xlink:type="locator" xlink:href="https://xbrl.ifrs.org/taxonomy/2022-03-24/full_ifrs/full_ifrs-cor_2022-03-24.xsd#ifrs-full_CurrentTaxLiabilitiesCurrent" xlink:label="ifrs-full_CurrentTaxLiabilitiesCurrent" />
    <loc xlink:type="locator" xlink:href="https://xbrl.ifrs.org/taxonomy/2022-03-24/full_ifrs/full_ifrs-cor_2022-03-24.xsd#ifrs-full_OtherPayables" xlink:label="ifrs-full_OtherPayables" />
    <loc xlink:type="locator" xlink:href="https://xbrl.ifrs.org/taxonomy/2022-03-24/full_ifrs/full_ifrs-cor_2022-03-24.xsd#ifrs-full_CurrentAccruedExpensesAndOtherCurrentLiabilities" xlink:label="ifrs-full_CurrentAccruedExpensesAndOtherCurrentLiabilities" />
    <loc xlink:type="locator" xlink:href="https://xbrl.ifrs.org/taxonomy/2022-03-24/full_ifrs/full_ifrs-cor_2022-03-24.xsd#ifrs-full_CurrentLiabilities" xlink:label="ifrs-full_CurrentLiabilities" />
    <loc xlink:type="locator" xlink:href="https://xbrl.ifrs.org/taxonomy/2022-03-24/full_ifrs/full_ifrs-cor_2022-03-24.xsd#ifrs-full_Liabilities" xlink:label="ifrs-full_Liabilities" />
    <loc xlink:type="locator" xlink:href="https://xbrl.ifrs.org/taxonomy/2022-03-24/full_ifrs/full_ifrs-cor_2022-03-24.xsd#ifrs-full_EquityAndLiabilities" xlink:label="ifrs-full_EquityAndLiabilities" />
    <loc xlink:type="locator" xlink:href="https://xbrl.ifrs.org/taxonomy/2022-03-24/full_ifrs/full_ifrs-cor_2022-03-24.xsd#ifrs-full_ProfitLoss" xlink:label="ifrs-full_ProfitLoss" />
    <loc xlink:type="locator" xlink:href="infreaab-2023-12-31.xsd#infreaab_OevrigtTotalresultat" xlink:label="infreaab_OevrigtTotalresultat" />
    <loc xlink:type="locator" xlink:href="https://xbrl.ifrs.org/taxonomy/2022-03-24/full_ifrs/full_ifrs-cor_2022-03-24.xsd#ifrs-full_ComprehensiveIncome" xlink:label="ifrs-full_ComprehensiveIncome" />
    <loc xlink:type="locator" xlink:href="https://xbrl.ifrs.org/taxonomy/2022-03-24/full_ifrs/full_ifrs-cor_2022-03-24.xsd#ifrs-full_IssueOfEquity" xlink:label="ifrs-full_IssueOfEquity" />
    <loc xlink:type="locator" xlink:href="https://xbrl.ifrs.org/taxonomy/2022-03-24/full_ifrs/full_ifrs-cor_2022-03-24.xsd#ifrs-full_IncreaseDecreaseThroughTreasuryShareTransactions" xlink:label="ifrs-full_IncreaseDecreaseThroughTreasuryShareTransactions" />
    <loc xlink:type="locator" xlink:href="infreaab-2023-12-31.xsd#infreaab_InbetaldPremieVidUtfaerdandeAvAktieoptioner" xlink:label="infreaab_InbetaldPremieVidUtfaerdandeAvAktieoptioner" />
    <loc xlink:type="locator" xlink:href="infreaab-2023-12-31.xsd#infreaab_SummaTillskottFranOchVaerdeoeverfoeringarTillAEgare" xlink:label="infreaab_SummaTillskottFranOchVaerdeoeverfoeringarTillAEgare" />
    <loc xlink:type="locator" xlink:href="infreaab-2023-12-31.xsd#infreaab_AvyttringAvInnehavUtanBestaemmandeInflytande" xlink:label="infreaab_AvyttringAvInnehavUtanBestaemmandeInflytande" />
    <loc xlink:type="locator" xlink:href="https://xbrl.ifrs.org/taxonomy/2022-03-24/full_ifrs/full_ifrs-cor_2022-03-24.xsd#ifrs-full_IncreaseDecreaseThroughDisposalOfSubsidiary" xlink:label="ifrs-full_IncreaseDecreaseThroughDisposalOfSubsidiary" />
    <loc xlink:type="locator" xlink:href="https://xbrl.ifrs.org/taxonomy/2022-03-24/full_ifrs/full_ifrs-cor_2022-03-24.xsd#ifrs-full_IncreaseDecreaseThroughTransactionsWithOwners" xlink:label="ifrs-full_IncreaseDecreaseThroughTransactionsWithOwners" />
    <loc xlink:type="locator" xlink:href="infreaab-2023-12-31.xsd#infreaab_OEverlatelseAvEgnaAktier" xlink:label="infreaab_OEverlatelseAvEgnaAktier" />
    <loc xlink:type="locator" xlink:href="infreaab-2023-12-31.xsd#infreaab_ResultatFoereSkatt" xlink:label="infreaab_ResultatFoereSkatt" />
    <loc xlink:type="locator" xlink:href="https://xbrl.ifrs.org/taxonomy/2022-03-24/full_ifrs/full_ifrs-cor_2022-03-24.xsd#ifrs-full_AdjustmentsToReconcileProfitLossOtherThanChangesInWorkingCapital" xlink:label="ifrs-full_AdjustmentsToReconcileProfitLossOtherThanChangesInWorkingCapital" />
    <loc xlink:type="locator" xlink:href="https://xbrl.ifrs.org/taxonomy/2022-03-24/full_ifrs/full_ifrs-cor_2022-03-24.xsd#ifrs-full_AdjustmentsForIncomeTaxExpense" xlink:label="ifrs-full_AdjustmentsForIncomeTaxExpense" />
    <loc xlink:type="locator" xlink:href="https://xbrl.ifrs.org/taxonomy/2022-03-24/full_ifrs/full_ifrs-cor_2022-03-24.xsd#ifrs-full_AdjustmentsForDecreaseIncreaseInInventories" xlink:label="ifrs-full_AdjustmentsForDecreaseIncreaseInInventories" />
    <loc xlink:type="locator" xlink:href="https://xbrl.ifrs.org/taxonomy/2022-03-24/full_ifrs/full_ifrs-cor_2022-03-24.xsd#ifrs-full_AdjustmentsForDecreaseIncreaseInTradeAndOtherReceivables" xlink:label="ifrs-full_AdjustmentsForDecreaseIncreaseInTradeAndOtherReceivables" />
    <loc xlink:type="locator" xlink:href="https://xbrl.ifrs.org/taxonomy/2022-03-24/full_ifrs/full_ifrs-cor_2022-03-24.xsd#ifrs-full_AdjustmentsForIncreaseDecreaseInTradeAndOtherPayables" xlink:label="ifrs-full_AdjustmentsForIncreaseDecreaseInTradeAndOtherPayables" />
    <loc xlink:type="locator" xlink:href="https://xbrl.ifrs.org/taxonomy/2022-03-24/full_ifrs/full_ifrs-cor_2022-03-24.xsd#ifrs-full_CashFlowsFromUsedInOperatingActivities" xlink:label="ifrs-full_CashFlowsFromUsedInOperatingActivities" />
    <loc xlink:type="locator" xlink:href="https://xbrl.ifrs.org/taxonomy/2022-03-24/full_ifrs/full_ifrs-cor_2022-03-24.xsd#ifrs-full_PurchaseOfPropertyPlantAndEquipmentClassifiedAsInvestingActivities" xlink:label="ifrs-full_PurchaseOfPropertyPlantAndEquipmentClassifiedAsInvestingActivities" />
    <loc xlink:type="locator" xlink:href="https://xbrl.ifrs.org/taxonomy/2022-03-24/full_ifrs/full_ifrs-cor_2022-03-24.xsd#ifrs-full_ProceedsFromSalesOfPropertyPlantAndEquipmentClassifiedAsInvestingActivities" xlink:label="ifrs-full_ProceedsFromSalesOfPropertyPlantAndEquipmentClassifiedAsInvestingActivities" />
    <loc xlink:type="locator" xlink:href="https://xbrl.ifrs.org/taxonomy/2022-03-24/full_ifrs/full_ifrs-cor_2022-03-24.xsd#ifrs-full_CashFlowsUsedInObtainingControlOfSubsidiariesOrOtherBusinessesClassifiedAsInvestingActivities" xlink:label="ifrs-full_CashFlowsUsedInObtainingControlOfSubsidiariesOrOtherBusinessesClassifiedAsInvestingActivities" />
    <loc xlink:type="locator" xlink:href="https://xbrl.ifrs.org/taxonomy/2022-03-24/full_ifrs/full_ifrs-cor_2022-03-24.xsd#ifrs-full_ProceedsFromOtherLongtermAssetsClassifiedAsInvestingActivities" xlink:label="ifrs-full_ProceedsFromOtherLongtermAssetsClassifiedAsInvestingActivities" />
    <loc xlink:type="locator" xlink:href="https://xbrl.ifrs.org/taxonomy/2022-03-24/full_ifrs/full_ifrs-cor_2022-03-24.xsd#ifrs-full_CashFlowsFromUsedInInvestingActivities" xlink:label="ifrs-full_CashFlowsFromUsedInInvestingActivities" />
    <loc xlink:type="locator" xlink:href="https://xbrl.ifrs.org/taxonomy/2022-03-24/full_ifrs/full_ifrs-cor_2022-03-24.xsd#ifrs-full_ProceedsFromExerciseOfOptions" xlink:label="ifrs-full_ProceedsFromExerciseOfOptions" />
    <loc xlink:type="locator" xlink:href="https://xbrl.ifrs.org/taxonomy/2022-03-24/full_ifrs/full_ifrs-cor_2022-03-24.xsd#ifrs-full_PaymentsToAcquireOrRedeemEntitysShares" xlink:label="ifrs-full_PaymentsToAcquireOrRedeemEntitysShares" />
    <loc xlink:type="locator" xlink:href="https://xbrl.ifrs.org/taxonomy/2022-03-24/full_ifrs/full_ifrs-cor_2022-03-24.xsd#ifrs-full_ProceedsFromBorrowingsClassifiedAsFinancingActivities" xlink:label="ifrs-full_ProceedsFromBorrowingsClassifiedAsFinancingActivities" />
    <loc xlink:type="locator" xlink:href="https://xbrl.ifrs.org/taxonomy/2022-03-24/full_ifrs/full_ifrs-cor_2022-03-24.xsd#ifrs-full_RepaymentsOfBorrowingsClassifiedAsFinancingActivities" xlink:label="ifrs-full_RepaymentsOfBorrowingsClassifiedAsFinancingActivities" />
    <loc xlink:type="locator" xlink:href="https://xbrl.ifrs.org/taxonomy/2022-03-24/full_ifrs/full_ifrs-cor_2022-03-24.xsd#ifrs-full_PaymentsOfLeaseLiabilitiesClassifiedAsFinancingActivities" xlink:label="ifrs-full_PaymentsOfLeaseLiabilitiesClassifiedAsFinancingActivities" />
    <loc xlink:type="locator" xlink:href="https://xbrl.ifrs.org/taxonomy/2022-03-24/full_ifrs/full_ifrs-cor_2022-03-24.xsd#ifrs-full_DividendsPaidToNoncontrollingInterestsClassifiedAsFinancingActivities" xlink:label="ifrs-full_DividendsPaidToNoncontrollingInterestsClassifiedAsFinancingActivities" />
    <loc xlink:type="locator" xlink:href="https://xbrl.ifrs.org/taxonomy/2022-03-24/full_ifrs/full_ifrs-cor_2022-03-24.xsd#ifrs-full_CashFlowsFromUsedInFinancingActivities" xlink:label="ifrs-full_CashFlowsFromUsedInFinancingActivities" />
    <loc xlink:type="locator" xlink:href="https://xbrl.ifrs.org/taxonomy/2022-03-24/full_ifrs/full_ifrs-cor_2022-03-24.xsd#ifrs-full_IncreaseDecreaseInCashAndCashEquivalents" xlink:label="ifrs-full_IncreaseDecreaseInCashAndCashEquivalents" />
    <labelArc xlink:type="arc" xlink:from="ifrs-full_ProfitLossAttributableToOwnersOfParent" xlink:to="label_infreaab_ifrs-fullProfitLossAttributableToOwnersOfParent_Standard" order="1" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" priority="100" />
    <labelArc xlink:type="arc" xlink:from="ifrs-full_OtherComprehensiveIncomeThatWillBeReclassifiedToProfitOrLossNetOfTax" xlink:to="label_infreaab_ifrs-fullOtherComprehensiveIncomeThatWillBeReclassifiedToProfitOrLossNetOfTax_Standard" order="1" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" priority="100" />
    <labelArc xlink:type="arc" xlink:from="ifrs-full_OtherComprehensiveIncome" xlink:to="label_infreaab_ifrs-fullOtherComprehensiveIncome_Standard" order="1" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" priority="100" />
    <labelArc xlink:type="arc" xlink:from="ifrs-full_ComprehensiveIncomeAttributableToOwnersOfParent" xlink:to="label_infreaab_ifrs-fullComprehensiveIncomeAttributableToOwnersOfParent_Standard" order="1" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" priority="100" />
    <labelArc xlink:type="arc" xlink:from="ifrs-full_ComprehensiveIncomeAttributableToNoncontrollingInterests" xlink:to="label_infreaab_ifrs-fullComprehensiveIncomeAttributableToNoncontrollingInterests_Standard" order="1" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" priority="100" />
    <labelArc xlink:type="arc" xlink:from="ifrs-full_BasicEarningsLossPerShare" xlink:to="label_infreaab_ifrs-fullBasicEarningsLossPerShare_Standard" order="1" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" priority="100" />
    <labelArc xlink:type="arc" xlink:from="ifrs-full_DilutedEarningsLossPerShare" xlink:to="label_infreaab_ifrs-fullDilutedEarningsLossPerShare_Standard" order="1" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" priority="100" />
    <labelArc xlink:type="arc" xlink:from="ifrs-full_NumberOfSharesOutstanding" xlink:to="label_infreaab_ifrs-fullNumberOfSharesOutstanding_PeriodEnd" order="1" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" priority="100" />
    <labelArc xlink:type="arc" xlink:from="ifrs-full_WeightedAverageShares" xlink:to="label_infreaab_ifrs-fullWeightedAverageShares_Standard" order="1" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" priority="100" />
    <labelArc xlink:type="arc" xlink:from="ifrs-full_AdjustedWeightedAverageShares" xlink:to="label_infreaab_ifrs-fullAdjustedWeightedAverageShares_Standard" order="1" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" priority="100" />
    <labelArc xlink:type="arc" xlink:from="infreaab_Nettoomsaettning" xlink:to="label_infreaab_infreaabNettoomsaettning_Standard" order="1" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" />
    <labelArc xlink:type="arc" xlink:from="ifrs-full_OtherIncome" xlink:to="label_infreaab_ifrs-fullOtherIncome_Standard" order="1" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" priority="100" />
    <labelArc xlink:type="arc" xlink:from="ifrs-full_Revenue" xlink:to="label_infreaab_ifrs-fullRevenue_Standard" order="1" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" priority="100" />
    <labelArc xlink:type="arc" xlink:from="ifrs-full_RawMaterialsAndConsumablesUsed" xlink:to="label_infreaab_ifrs-fullRawMaterialsAndConsumablesUsed_Standard" order="1" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" priority="100" />
    <labelArc xlink:type="arc" xlink:from="ifrs-full_OtherExpenseByNature" xlink:to="label_infreaab_ifrs-fullOtherExpenseByNature_Standard" order="1" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" priority="100" />
    <labelArc xlink:type="arc" xlink:from="ifrs-full_EmployeeBenefitsExpense" xlink:to="label_infreaab_ifrs-fullEmployeeBenefitsExpense_Standard" order="1" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" priority="100" />
    <labelArc xlink:type="arc" xlink:from="ifrs-full_DepreciationAndAmortisationExpense" xlink:to="label_infreaab_ifrs-fullDepreciationAndAmortisationExpense_Standard" order="1" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" priority="100" />
    <labelArc xlink:type="arc" xlink:from="ifrs-full_OtherGainsLosses" xlink:to="label_infreaab_ifrs-fullOtherGainsLosses_Standard" order="1" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" priority="100" />
    <labelArc xlink:type="arc" xlink:from="ifrs-full_ProfitLossFromOperatingActivities" xlink:to="label_infreaab_ifrs-fullProfitLossFromOperatingActivities_Standard" order="1" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" priority="100" />
    <labelArc xlink:type="arc" xlink:from="ifrs-full_FinanceIncome" xlink:to="label_infreaab_ifrs-fullFinanceIncome_Standard" order="1" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" priority="100" />
    <labelArc xlink:type="arc" xlink:from="ifrs-full_FinanceCosts" xlink:to="label_infreaab_ifrs-fullFinanceCosts_Standard" order="1" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" priority="100" />
    <labelArc xlink:type="arc" xlink:from="infreaab_Finansnetto" xlink:to="label_infreaab_infreaabFinansnetto_Standard" order="1" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" />
    <labelArc xlink:type="arc" xlink:from="ifrs-full_ProfitLossBeforeTax" xlink:to="label_infreaab_ifrs-fullProfitLossBeforeTax_Standard" order="1" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" priority="100" />
    <labelArc xlink:type="arc" xlink:from="ifrs-full_IncomeTaxExpenseContinuingOperations" xlink:to="label_infreaab_ifrs-fullIncomeTaxExpenseContinuingOperations_Standard" order="1" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" priority="100" />
    <labelArc xlink:type="arc" xlink:from="ifrs-full_ProfitLossFromContinuingOperations" xlink:to="label_infreaab_ifrs-fullProfitLossFromContinuingOperations_Standard" order="1" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" priority="100" />
    <labelArc xlink:type="arc" xlink:from="ifrs-full_IntangibleAssetsAndGoodwill" xlink:to="label_infreaab_ifrs-fullIntangibleAssetsAndGoodwill_Standard" order="1" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" priority="100" />
    <labelArc xlink:type="arc" xlink:from="ifrs-full_PropertyPlantAndEquipment" xlink:to="label_infreaab_ifrs-fullPropertyPlantAndEquipment_Standard" order="1" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" priority="100" />
    <labelArc xlink:type="arc" xlink:from="ifrs-full_RightofuseAssets" xlink:to="label_infreaab_ifrs-fullRightofuseAssets_Standard" order="1" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" priority="100" />
    <labelArc xlink:type="arc" xlink:from="ifrs-full_OtherNoncurrentReceivables" xlink:to="label_infreaab_ifrs-fullOtherNoncurrentReceivables_Standard" order="1" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" priority="100" />
    <labelArc xlink:type="arc" xlink:from="ifrs-full_NoncurrentAssets" xlink:to="label_infreaab_ifrs-fullNoncurrentAssets_Standard" order="1" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" priority="100" />
    <labelArc xlink:type="arc" xlink:from="ifrs-full_Inventories" xlink:to="label_infreaab_ifrs-fullInventories_Standard" order="1" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" priority="100" />
    <labelArc xlink:type="arc" xlink:from="ifrs-full_ContractAssets" xlink:to="label_infreaab_ifrs-fullContractAssets_Standard" order="1" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" priority="100" />
    <labelArc xlink:type="arc" xlink:from="ifrs-full_CurrentTradeReceivables" xlink:to="label_infreaab_ifrs-fullCurrentTradeReceivables_Standard" order="1" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" priority="100" />
    <labelArc xlink:type="arc" xlink:from="ifrs-full_CurrentPrepaidExpenses" xlink:to="label_infreaab_ifrs-fullCurrentPrepaidExpenses_Standard" order="1" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" priority="100" />
    <labelArc xlink:type="arc" xlink:from="ifrs-full_OtherReceivables" xlink:to="label_infreaab_ifrs-fullOtherReceivables_Standard" order="1" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" priority="100" />
    <labelArc xlink:type="arc" xlink:from="ifrs-full_CashAndCashEquivalents" xlink:to="label_infreaab_ifrs-fullCashAndCashEquivalents_Standard" order="1" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" priority="100" />
    <labelArc xlink:type="arc" xlink:from="ifrs-full_CurrentAssets" xlink:to="label_infreaab_ifrs-fullCurrentAssets_Standard" order="1" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" priority="100" />
    <labelArc xlink:type="arc" xlink:from="ifrs-full_Assets" xlink:to="label_infreaab_ifrs-fullAssets_Standard" order="1" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" priority="100" />
    <labelArc xlink:type="arc" xlink:from="ifrs-full_IssuedCapital" xlink:to="label_infreaab_ifrs-fullIssuedCapital_Standard" order="1" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" priority="100" />
    <labelArc xlink:type="arc" xlink:from="ifrs-full_AdditionalPaidinCapital" xlink:to="label_infreaab_ifrs-fullAdditionalPaidinCapital_Standard" order="1" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" priority="100" />
    <labelArc xlink:type="arc" xlink:from="ifrs-full_RetainedEarnings" xlink:to="label_infreaab_ifrs-fullRetainedEarnings_Standard" order="1" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" priority="100" />
    <labelArc xlink:type="arc" xlink:from="ifrs-full_EquityAttributableToOwnersOfParent" xlink:to="label_infreaab_ifrs-fullEquityAttributableToOwnersOfParent_Standard" order="1" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" priority="100" />
    <labelArc xlink:type="arc" xlink:from="ifrs-full_Equity" xlink:to="label_infreaab_ifrs-fullEquity_Standard" order="1" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" priority="100" />
    <labelArc xlink:type="arc" xlink:from="ifrs-full_LongtermBorrowings" xlink:to="label_infreaab_ifrs-fullLongtermBorrowings_Standard" order="1" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" priority="100" />
    <labelArc xlink:type="arc" xlink:from="ifrs-full_NoncurrentLeaseLiabilities" xlink:to="label_infreaab_ifrs-fullNoncurrentLeaseLiabilities_Standard" order="1" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" priority="100" />
    <labelArc xlink:type="arc" xlink:from="ifrs-full_OtherProvisions" xlink:to="label_infreaab_ifrs-fullOtherProvisions_Standard" order="1" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" priority="100" />
    <labelArc xlink:type="arc" xlink:from="ifrs-full_DeferredTaxLiabilities" xlink:to="label_infreaab_ifrs-fullDeferredTaxLiabilities_Standard" order="1" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" priority="100" />
    <labelArc xlink:type="arc" xlink:from="ifrs-full_NoncurrentLiabilities" xlink:to="label_infreaab_ifrs-fullNoncurrentLiabilities_Standard" order="1" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" priority="100" />
    <labelArc xlink:type="arc" xlink:from="ifrs-full_ShorttermBorrowings" xlink:to="label_infreaab_ifrs-fullShorttermBorrowings_Standard" order="1" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" priority="100" />
    <labelArc xlink:type="arc" xlink:from="ifrs-full_CurrentLeaseLiabilities" xlink:to="label_infreaab_ifrs-fullCurrentLeaseLiabilities_Standard" order="1" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" priority="100" />
    <labelArc xlink:type="arc" xlink:from="ifrs-full_TradeAndOtherCurrentPayables" xlink:to="label_infreaab_ifrs-fullTradeAndOtherCurrentPayables_Standard" order="1" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" priority="100" />
    <labelArc xlink:type="arc" xlink:from="ifrs-full_ContractLiabilities" xlink:to="label_infreaab_ifrs-fullContractLiabilities_Standard" order="1" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" priority="100" />
    <labelArc xlink:type="arc" xlink:from="ifrs-full_CurrentTaxLiabilitiesCurrent" xlink:to="label_infreaab_ifrs-fullCurrentTaxLiabilitiesCurrent_Standard" order="1" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" priority="100" />
    <labelArc xlink:type="arc" xlink:from="ifrs-full_OtherPayables" xlink:to="label_infreaab_ifrs-fullOtherPayables_Standard" order="1" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" priority="100" />
    <labelArc xlink:type="arc" xlink:from="ifrs-full_CurrentAccruedExpensesAndOtherCurrentLiabilities" xlink:to="label_infreaab_ifrs-fullCurrentAccruedExpensesAndOtherCurrentLiabilities_Standard" order="1" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" priority="100" />
    <labelArc xlink:type="arc" xlink:from="ifrs-full_CurrentLiabilities" xlink:to="label_infreaab_ifrs-fullCurrentLiabilities_Standard" order="1" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" priority="100" />
    <labelArc xlink:type="arc" xlink:from="ifrs-full_Liabilities" xlink:to="label_infreaab_ifrs-fullLiabilities_Standard" order="1" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" priority="100" />
    <labelArc xlink:type="arc" xlink:from="ifrs-full_EquityAndLiabilities" xlink:to="label_infreaab_ifrs-fullEquityAndLiabilities_Standard" order="1" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" priority="100" />
    <labelArc xlink:type="arc" xlink:from="ifrs-full_Equity" xlink:to="label_infreaab_ifrs-fullEquity_PeriodStart" order="1" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" priority="100" />
    <labelArc xlink:type="arc" xlink:from="ifrs-full_ProfitLoss" xlink:to="label_infreaab_ifrs-fullProfitLoss_Standard" order="1" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" priority="100" />
    <labelArc xlink:type="arc" xlink:from="infreaab_OevrigtTotalresultat" xlink:to="label_infreaab_infreaabOevrigtTotalresultat_Standard" order="1" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" />
    <labelArc xlink:type="arc" xlink:from="ifrs-full_ComprehensiveIncome" xlink:to="label_infreaab_ifrs-fullComprehensiveIncome_Standard" order="1" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" priority="100" />
    <labelArc xlink:type="arc" xlink:from="ifrs-full_IssueOfEquity" xlink:to="label_infreaab_ifrs-fullIssueOfEquity_Standard" order="1" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" priority="100" />
    <labelArc xlink:type="arc" xlink:from="ifrs-full_IncreaseDecreaseThroughTreasuryShareTransactions" xlink:to="label_infreaab_ifrs-fullIncreaseDecreaseThroughTreasuryShareTransactions_Standard" order="1" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" priority="100" />
    <labelArc xlink:type="arc" xlink:from="infreaab_InbetaldPremieVidUtfaerdandeAvAktieoptioner" xlink:to="label_infreaab_infreaabInbetaldPremieVidUtfaerdandeAvAktieoptioner_Standard" order="1" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" />
    <labelArc xlink:type="arc" xlink:from="infreaab_SummaTillskottFranOchVaerdeoeverfoeringarTillAEgare" xlink:to="label_infreaab_infreaabSummaTillskottFranOchVaerdeoeverfoeringarTillAEgare_Standard" order="1" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" />
    <labelArc xlink:type="arc" xlink:from="infreaab_AvyttringAvInnehavUtanBestaemmandeInflytande" xlink:to="label_infreaab_infreaabAvyttringAvInnehavUtanBestaemmandeInflytande_Standard" order="1" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" />
    <labelArc xlink:type="arc" xlink:from="ifrs-full_IncreaseDecreaseThroughDisposalOfSubsidiary" xlink:to="label_infreaab_ifrs-fullIncreaseDecreaseThroughDisposalOfSubsidiary_Standard" order="1" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" priority="100" />
    <labelArc xlink:type="arc" xlink:from="ifrs-full_IncreaseDecreaseThroughTransactionsWithOwners" xlink:to="label_infreaab_ifrs-fullIncreaseDecreaseThroughTransactionsWithOwners_Standard" order="1" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" priority="100" />
    <labelArc xlink:type="arc" xlink:from="ifrs-full_Equity" xlink:to="label_infreaab_ifrs-fullEquity_PeriodEnd" order="1" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" priority="100" />
    <labelArc xlink:type="arc" xlink:from="infreaab_OEverlatelseAvEgnaAktier" xlink:to="label_infreaab_infreaabOEverlatelseAvEgnaAktier_Standard" order="1" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" />
    <labelArc xlink:type="arc" xlink:from="infreaab_ResultatFoereSkatt" xlink:to="label_infreaab_infreaabResultatFoereSkatt_Standard" order="1" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" />
    <labelArc xlink:type="arc" xlink:from="ifrs-full_AdjustmentsToReconcileProfitLossOtherThanChangesInWorkingCapital" xlink:to="label_infreaab_ifrs-fullAdjustmentsToReconcileProfitLossOtherThanChangesInWorkingCapital_Standard" order="1" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" priority="100" />
    <labelArc xlink:type="arc" xlink:from="ifrs-full_AdjustmentsForIncomeTaxExpense" xlink:to="label_infreaab_ifrs-fullAdjustmentsForIncomeTaxExpense_Standard" order="1" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" priority="100" />
    <labelArc xlink:type="arc" xlink:from="ifrs-full_AdjustmentsForDecreaseIncreaseInInventories" xlink:to="label_infreaab_ifrs-fullAdjustmentsForDecreaseIncreaseInInventories_Standard" order="1" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" priority="100" />
    <labelArc xlink:type="arc" xlink:from="ifrs-full_AdjustmentsForDecreaseIncreaseInTradeAndOtherReceivables" xlink:to="label_infreaab_ifrs-fullAdjustmentsForDecreaseIncreaseInTradeAndOtherReceivables_Standard" order="1" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" priority="100" />
    <labelArc xlink:type="arc" xlink:from="ifrs-full_AdjustmentsForIncreaseDecreaseInTradeAndOtherPayables" xlink:to="label_infreaab_ifrs-fullAdjustmentsForIncreaseDecreaseInTradeAndOtherPayables_Standard" order="1" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" priority="100" />
    <labelArc xlink:type="arc" xlink:from="ifrs-full_CashFlowsFromUsedInOperatingActivities" xlink:to="label_infreaab_ifrs-fullCashFlowsFromUsedInOperatingActivities_Standard" order="1" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" priority="100" />
    <labelArc xlink:type="arc" xlink:from="ifrs-full_PurchaseOfPropertyPlantAndEquipmentClassifiedAsInvestingActivities" xlink:to="label_infreaab_ifrs-fullPurchaseOfPropertyPlantAndEquipmentClassifiedAsInvestingActivities_Standard" order="1" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" priority="100" />
    <labelArc xlink:type="arc" xlink:from="ifrs-full_ProceedsFromSalesOfPropertyPlantAndEquipmentClassifiedAsInvestingActivities" xlink:to="label_infreaab_ifrs-fullProceedsFromSalesOfPropertyPlantAndEquipmentClassifiedAsInvestingActivities_Standard" order="1" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" priority="100" />
    <labelArc xlink:type="arc" xlink:from="ifrs-full_CashFlowsUsedInObtainingControlOfSubsidiariesOrOtherBusinessesClassifiedAsInvestingActivities" xlink:to="label_infreaab_ifrs-fullCashFlowsUsedInObtainingControlOfSubsidiariesOrOtherBusinessesClassifiedAsInvestingActivities_Standard" order="1" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" priority="100" />
    <labelArc xlink:type="arc" xlink:from="ifrs-full_ProceedsFromOtherLongtermAssetsClassifiedAsInvestingActivities" xlink:to="label_infreaab_ifrs-fullProceedsFromOtherLongtermAssetsClassifiedAsInvestingActivities_Standard" order="1" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" priority="100" />
    <labelArc xlink:type="arc" xlink:from="ifrs-full_CashFlowsFromUsedInInvestingActivities" xlink:to="label_infreaab_ifrs-fullCashFlowsFromUsedInInvestingActivities_Standard" order="1" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" priority="100" />
    <labelArc xlink:type="arc" xlink:from="ifrs-full_ProceedsFromExerciseOfOptions" xlink:to="label_infreaab_ifrs-fullProceedsFromExerciseOfOptions_Standard" order="1" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" priority="100" />
    <labelArc xlink:type="arc" xlink:from="ifrs-full_PaymentsToAcquireOrRedeemEntitysShares" xlink:to="label_infreaab_ifrs-fullPaymentsToAcquireOrRedeemEntitysShares_Standard" order="1" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" priority="100" />
    <labelArc xlink:type="arc" xlink:from="ifrs-full_ProceedsFromBorrowingsClassifiedAsFinancingActivities" xlink:to="label_infreaab_ifrs-fullProceedsFromBorrowingsClassifiedAsFinancingActivities_Standard" order="1" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" priority="100" />
    <labelArc xlink:type="arc" xlink:from="ifrs-full_RepaymentsOfBorrowingsClassifiedAsFinancingActivities" xlink:to="label_infreaab_ifrs-fullRepaymentsOfBorrowingsClassifiedAsFinancingActivities_Standard" order="1" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" priority="100" />
    <labelArc xlink:type="arc" xlink:from="ifrs-full_PaymentsOfLeaseLiabilitiesClassifiedAsFinancingActivities" xlink:to="label_infreaab_ifrs-fullPaymentsOfLeaseLiabilitiesClassifiedAsFinancingActivities_Standard" order="1" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" priority="100" />
    <labelArc xlink:type="arc" xlink:from="ifrs-full_DividendsPaidToNoncontrollingInterestsClassifiedAsFinancingActivities" xlink:to="label_infreaab_ifrs-fullDividendsPaidToNoncontrollingInterestsClassifiedAsFinancingActivities_Standard" order="1" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" priority="100" />
    <labelArc xlink:type="arc" xlink:from="ifrs-full_CashFlowsFromUsedInFinancingActivities" xlink:to="label_infreaab_ifrs-fullCashFlowsFromUsedInFinancingActivities_Standard" order="1" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" priority="100" />
    <labelArc xlink:type="arc" xlink:from="ifrs-full_IncreaseDecreaseInCashAndCashEquivalents" xlink:to="label_infreaab_ifrs-fullIncreaseDecreaseInCashAndCashEquivalents_PeriodEnd" order="1" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" priority="100" />
    <labelArc xlink:type="arc" xlink:from="ifrs-full_CashAndCashEquivalents" xlink:to="label_infreaab_ifrs-fullCashAndCashEquivalents_PeriodStart" order="1" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" priority="100" />
    <labelArc xlink:type="arc" xlink:from="ifrs-full_CashAndCashEquivalents" xlink:to="label_infreaab_ifrs-fullCashAndCashEquivalents_PeriodEnd" order="1" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" priority="100" />
    <label xlink:label="label_infreaab_ifrs-fullProfitLossAttributableToOwnersOfParent_Standard" id="infreaab_ifrs-fullProfitLossAttributableToOwnersOfParent_Standard" xlink:role="http://www.xbrl.org/2003/role/label" xlink:type="resource" xml:lang="sv">Årets resultat</label>
    <label xlink:label="label_infreaab_ifrs-fullOtherComprehensiveIncomeThatWillBeReclassifiedToProfitOrLossNetOfTax_Standard" id="infreaab_ifrs-fullOtherComprehensiveIncomeThatWillBeReclassifiedToProfitOrLossNetOfTax_Standard" xlink:role="http://www.xbrl.org/2003/role/label" xlink:type="resource" xml:lang="sv">Övrigt totalresultat</label>
    <label xlink:label="label_infreaab_ifrs-fullOtherComprehensiveIncome_Standard" id="infreaab_ifrs-fullOtherComprehensiveIncome_Standard" xlink:role="http://www.xbrl.org/2003/role/label" xlink:type="resource" xml:lang="sv">Årets totalresultat</label>
    <label xlink:label="label_infreaab_ifrs-fullComprehensiveIncomeAttributableToOwnersOfParent_Standard" id="infreaab_ifrs-fullComprehensiveIncomeAttributableToOwnersOfParent_Standard" xlink:role="http://www.xbrl.org/2003/role/label" xlink:type="resource" xml:lang="sv">Moderbolagets ägare</label>
    <label xlink:label="label_infreaab_ifrs-fullComprehensiveIncomeAttributableToNoncontrollingInterests_Standard" id="infreaab_ifrs-fullComprehensiveIncomeAttributableToNoncontrollingInterests_Standard" xlink:role="http://www.xbrl.org/2003/role/label" xlink:type="resource" xml:lang="sv">Innehav utan bestämmande inflytande</label>
    <label xlink:label="label_infreaab_ifrs-fullBasicEarningsLossPerShare_Standard" id="infreaab_ifrs-fullBasicEarningsLossPerShare_Standard" xlink:role="http://www.xbrl.org/2003/role/label" xlink:type="resource" xml:lang="sv">Resultat per aktie före utspädning (kr)</label>
    <label xlink:label="label_infreaab_ifrs-fullDilutedEarningsLossPerShare_Standard" id="infreaab_ifrs-fullDilutedEarningsLossPerShare_Standard" xlink:role="http://www.xbrl.org/2003/role/label" xlink:type="resource" xml:lang="sv">Resultat per aktie efter utspädning (kr)</label>
    <label xlink:label="label_infreaab_ifrs-fullNumberOfSharesOutstanding_PeriodEnd" id="infreaab_ifrs-fullNumberOfSharesOutstanding_PeriodEnd" xlink:role="http://www.xbrl.org/2003/role/periodEndLabel" xlink:type="resource" xml:lang="sv">Antal aktier vid periodens utgång</label>
    <label xlink:label="label_infreaab_ifrs-fullWeightedAverageShares_Standard" id="infreaab_ifrs-fullWeightedAverageShares_Standard" xlink:role="http://www.xbrl.org/2003/role/label" xlink:type="resource" xml:lang="sv">Genomsnittligt antal aktier före utspädning</label>
    <label xlink:label="label_infreaab_ifrs-fullAdjustedWeightedAverageShares_Standard" id="infreaab_ifrs-fullAdjustedWeightedAverageShares_Standard" xlink:role="http://www.xbrl.org/2003/role/label" xlink:type="resource" xml:lang="sv">Genomsnittligt antal aktier efter utspädning</label>
    <label xlink:label="label_infreaab_infreaabNettoomsaettning_Standard" id="infreaab_infreaabNettoomsaettning_Standard" xlink:role="http://www.xbrl.org/2003/role/label" xlink:type="resource" xml:lang="sv">Nettoomsättning</label>
    <label xlink:label="label_infreaab_ifrs-fullOtherIncome_Standard" id="infreaab_ifrs-fullOtherIncome_Standard" xlink:role="http://www.xbrl.org/2003/role/label" xlink:type="resource" xml:lang="sv">Övriga rörelseintäkter</label>
    <label xlink:label="label_infreaab_ifrs-fullRevenue_Standard" id="infreaab_ifrs-fullRevenue_Standard" xlink:role="http://www.xbrl.org/2003/role/label" xlink:type="resource" xml:lang="sv">Totala intäkter</label>
    <label xlink:label="label_infreaab_ifrs-fullRawMaterialsAndConsumablesUsed_Standard" id="infreaab_ifrs-fullRawMaterialsAndConsumablesUsed_Standard" xlink:role="http://www.xbrl.org/2003/role/label" xlink:type="resource" xml:lang="sv">Råvaror och förnödenheter</label>
    <label xlink:label="label_infreaab_ifrs-fullOtherExpenseByNature_Standard" id="infreaab_ifrs-fullOtherExpenseByNature_Standard" xlink:role="http://www.xbrl.org/2003/role/label" xlink:type="resource" xml:lang="sv">Övriga externa kostnader</label>
    <label xlink:label="label_infreaab_ifrs-fullEmployeeBenefitsExpense_Standard" id="infreaab_ifrs-fullEmployeeBenefitsExpense_Standard" xlink:role="http://www.xbrl.org/2003/role/label" xlink:type="resource" xml:lang="sv">Personalkostnader</label>
    <label xlink:label="label_infreaab_ifrs-fullDepreciationAndAmortisationExpense_Standard" id="infreaab_ifrs-fullDepreciationAndAmortisationExpense_Standard" xlink:role="http://www.xbrl.org/2003/role/label" xlink:type="resource" xml:lang="sv">Avskrivningar och nedskrivningar </label>
    <label xlink:label="label_infreaab_ifrs-fullOtherGainsLosses_Standard" id="infreaab_ifrs-fullOtherGainsLosses_Standard" xlink:role="http://www.xbrl.org/2003/role/label" xlink:type="resource" xml:lang="sv">Övriga rörelsekostnader</label>
    <label xlink:label="label_infreaab_ifrs-fullProfitLossFromOperatingActivities_Standard" id="infreaab_ifrs-fullProfitLossFromOperatingActivities_Standard" xlink:role="http://www.xbrl.org/2003/role/label" xlink:type="resource" xml:lang="sv">Rörelseresultat</label>
    <label xlink:label="label_infreaab_ifrs-fullFinanceIncome_Standard" id="infreaab_ifrs-fullFinanceIncome_Standard" xlink:role="http://www.xbrl.org/2003/role/label" xlink:type="resource" xml:lang="sv">Finansiella intäkter</label>
    <label xlink:label="label_infreaab_ifrs-fullFinanceCosts_Standard" id="infreaab_ifrs-fullFinanceCosts_Standard" xlink:role="http://www.xbrl.org/2003/role/label" xlink:type="resource" xml:lang="sv">Finansiella kostnader</label>
    <label xlink:label="label_infreaab_infreaabFinansnetto_Standard" id="infreaab_infreaabFinansnetto_Standard" xlink:role="http://www.xbrl.org/2003/role/label" xlink:type="resource" xml:lang="sv">Finansnetto</label>
    <label xlink:label="label_infreaab_ifrs-fullProfitLossBeforeTax_Standard" id="infreaab_ifrs-fullProfitLossBeforeTax_Standard" xlink:role="http://www.xbrl.org/2003/role/label" xlink:type="resource" xml:lang="sv">Resultat före skatt</label>
    <label xlink:label="label_infreaab_ifrs-fullIncomeTaxExpenseContinuingOperations_Standard" id="infreaab_ifrs-fullIncomeTaxExpenseContinuingOperations_Standard" xlink:role="http://www.xbrl.org/2003/role/label" xlink:type="resource" xml:lang="sv">Skatt</label>
    <label xlink:label="label_infreaab_ifrs-fullProfitLossFromContinuingOperations_Standard" id="infreaab_ifrs-fullProfitLossFromContinuingOperations_Standard" xlink:role="http://www.xbrl.org/2003/role/label" xlink:type="resource" xml:lang="sv">Årets resultat</label>
    <label xlink:label="label_infreaab_ifrs-fullIntangibleAssetsAndGoodwill_Standard" id="infreaab_ifrs-fullIntangibleAssetsAndGoodwill_Standard" xlink:role="http://www.xbrl.org/2003/role/label" xlink:type="resource" xml:lang="sv">Immateriella anläggningstillgångar</label>
    <label xlink:label="label_infreaab_ifrs-fullPropertyPlantAndEquipment_Standard" id="infreaab_ifrs-fullPropertyPlantAndEquipment_Standard" xlink:role="http://www.xbrl.org/2003/role/label" xlink:type="resource" xml:lang="sv">Materiella anläggningstillgångar</label>
    <label xlink:label="label_infreaab_ifrs-fullRightofuseAssets_Standard" id="infreaab_ifrs-fullRightofuseAssets_Standard" xlink:role="http://www.xbrl.org/2003/role/label" xlink:type="resource" xml:lang="sv">Nyttjanderättstillgångar</label>
    <label xlink:label="label_infreaab_ifrs-fullOtherNoncurrentReceivables_Standard" id="infreaab_ifrs-fullOtherNoncurrentReceivables_Standard" xlink:role="http://www.xbrl.org/2003/role/label" xlink:type="resource" xml:lang="sv">Långfristiga fordringar</label>
    <label xlink:label="label_infreaab_ifrs-fullNoncurrentAssets_Standard" id="infreaab_ifrs-fullNoncurrentAssets_Standard" xlink:role="http://www.xbrl.org/2003/role/label" xlink:type="resource" xml:lang="sv">Summa anläggningstillgångar</label>
    <label xlink:label="label_infreaab_ifrs-fullInventories_Standard" id="infreaab_ifrs-fullInventories_Standard" xlink:role="http://www.xbrl.org/2003/role/label" xlink:type="resource" xml:lang="sv">Varulager</label>
    <label xlink:label="label_infreaab_ifrs-fullContractAssets_Standard" id="infreaab_ifrs-fullContractAssets_Standard" xlink:role="http://www.xbrl.org/2003/role/label" xlink:type="resource" xml:lang="sv">Avtalstillgångar</label>
    <label xlink:label="label_infreaab_ifrs-fullCurrentTradeReceivables_Standard" id="infreaab_ifrs-fullCurrentTradeReceivables_Standard" xlink:role="http://www.xbrl.org/2003/role/label" xlink:type="resource" xml:lang="sv">Kundfordringar</label>
    <label xlink:label="label_infreaab_ifrs-fullCurrentPrepaidExpenses_Standard" id="infreaab_ifrs-fullCurrentPrepaidExpenses_Standard" xlink:role="http://www.xbrl.org/2003/role/label" xlink:type="resource" xml:lang="sv">Förutbetalda kostnader och upplupna intäkter</label>
    <label xlink:label="label_infreaab_ifrs-fullOtherReceivables_Standard" id="infreaab_ifrs-fullOtherReceivables_Standard" xlink:role="http://www.xbrl.org/2003/role/label" xlink:type="resource" xml:lang="sv">Övriga fordringar</label>
    <label xlink:label="label_infreaab_ifrs-fullCashAndCashEquivalents_Standard" id="infreaab_ifrs-fullCashAndCashEquivalents_Standard" xlink:role="http://www.xbrl.org/2003/role/label" xlink:type="resource" xml:lang="sv">Likvida medel</label>
    <label xlink:label="label_infreaab_ifrs-fullCurrentAssets_Standard" id="infreaab_ifrs-fullCurrentAssets_Standard" xlink:role="http://www.xbrl.org/2003/role/label" xlink:type="resource" xml:lang="sv">Summa omsättningstillgångar</label>
    <label xlink:label="label_infreaab_ifrs-fullAssets_Standard" id="infreaab_ifrs-fullAssets_Standard" xlink:role="http://www.xbrl.org/2003/role/label" xlink:type="resource" xml:lang="sv">SUMMA TILLGÅNGAR</label>
    <label xlink:label="label_infreaab_ifrs-fullIssuedCapital_Standard" id="infreaab_ifrs-fullIssuedCapital_Standard" xlink:role="http://www.xbrl.org/2003/role/label" xlink:type="resource" xml:lang="sv">Aktiekapital</label>
    <label xlink:label="label_infreaab_ifrs-fullAdditionalPaidinCapital_Standard" id="infreaab_ifrs-fullAdditionalPaidinCapital_Standard" xlink:role="http://www.xbrl.org/2003/role/label" xlink:type="resource" xml:lang="sv">Övrigt tillskjutet kapital</label>
    <label xlink:label="label_infreaab_ifrs-fullRetainedEarnings_Standard" id="infreaab_ifrs-fullRetainedEarnings_Standard" xlink:role="http://www.xbrl.org/2003/role/label" xlink:type="resource" xml:lang="sv">Balanserade vinstmedel inklusive årets resultat</label>
    <label xlink:label="label_infreaab_ifrs-fullEquityAttributableToOwnersOfParent_Standard" id="infreaab_ifrs-fullEquityAttributableToOwnersOfParent_Standard" xlink:role="http://www.xbrl.org/2003/role/label" xlink:type="resource" xml:lang="sv">Eget kapital hänförligt till moderbolagets ägare</label>
    <label xlink:label="label_infreaab_ifrs-fullEquity_Standard" id="infreaab_ifrs-fullEquity_Standard" xlink:role="http://www.xbrl.org/2003/role/label" xlink:type="resource" xml:lang="sv">Summa eget kapital</label>
    <label xlink:label="label_infreaab_ifrs-fullLongtermBorrowings_Standard" id="infreaab_ifrs-fullLongtermBorrowings_Standard" xlink:role="http://www.xbrl.org/2003/role/label" xlink:type="resource" xml:lang="sv">Långfristiga räntebärande skulder</label>
    <label xlink:label="label_infreaab_ifrs-fullNoncurrentLeaseLiabilities_Standard" id="infreaab_ifrs-fullNoncurrentLeaseLiabilities_Standard" xlink:role="http://www.xbrl.org/2003/role/label" xlink:type="resource" xml:lang="sv">Långfristiga leasingskulder</label>
    <label xlink:label="label_infreaab_ifrs-fullOtherProvisions_Standard" id="infreaab_ifrs-fullOtherProvisions_Standard" xlink:role="http://www.xbrl.org/2003/role/label" xlink:type="resource" xml:lang="sv">Övriga avsättningar</label>
    <label xlink:label="label_infreaab_ifrs-fullDeferredTaxLiabilities_Standard" id="infreaab_ifrs-fullDeferredTaxLiabilities_Standard" xlink:role="http://www.xbrl.org/2003/role/label" xlink:type="resource" xml:lang="sv">Uppskjutna skatteskulder</label>
    <label xlink:label="label_infreaab_ifrs-fullNoncurrentLiabilities_Standard" id="infreaab_ifrs-fullNoncurrentLiabilities_Standard" xlink:role="http://www.xbrl.org/2003/role/label" xlink:type="resource" xml:lang="sv">Summa långfristiga skulder</label>
    <label xlink:label="label_infreaab_ifrs-fullShorttermBorrowings_Standard" id="infreaab_ifrs-fullShorttermBorrowings_Standard" xlink:role="http://www.xbrl.org/2003/role/label" xlink:type="resource" xml:lang="sv">Kortfristiga räntebärande skulder</label>
    <label xlink:label="label_infreaab_ifrs-fullCurrentLeaseLiabilities_Standard" id="infreaab_ifrs-fullCurrentLeaseLiabilities_Standard" xlink:role="http://www.xbrl.org/2003/role/label" xlink:type="resource" xml:lang="sv">Kortfristiga leasingskulder</label>
    <label xlink:label="label_infreaab_ifrs-fullTradeAndOtherCurrentPayables_Standard" id="infreaab_ifrs-fullTradeAndOtherCurrentPayables_Standard" xlink:role="http://www.xbrl.org/2003/role/label" xlink:type="resource" xml:lang="sv">Leverantörsskulder</label>
    <label xlink:label="label_infreaab_ifrs-fullContractLiabilities_Standard" id="infreaab_ifrs-fullContractLiabilities_Standard" xlink:role="http://www.xbrl.org/2003/role/label" xlink:type="resource" xml:lang="sv">Avtalsskulder</label>
    <label xlink:label="label_infreaab_ifrs-fullCurrentTaxLiabilitiesCurrent_Standard" id="infreaab_ifrs-fullCurrentTaxLiabilitiesCurrent_Standard" xlink:role="http://www.xbrl.org/2003/role/label" xlink:type="resource" xml:lang="sv">Skatteskulder</label>
    <label xlink:label="label_infreaab_ifrs-fullOtherPayables_Standard" id="infreaab_ifrs-fullOtherPayables_Standard" xlink:role="http://www.xbrl.org/2003/role/label" xlink:type="resource" xml:lang="sv">Övriga skulder</label>
    <label xlink:label="label_infreaab_ifrs-fullCurrentAccruedExpensesAndOtherCurrentLiabilities_Standard" id="infreaab_ifrs-fullCurrentAccruedExpensesAndOtherCurrentLiabilities_Standard" xlink:role="http://www.xbrl.org/2003/role/label" xlink:type="resource" xml:lang="sv">Upplupna kostnader och förutbetalda intäkter</label>
    <label xlink:label="label_infreaab_ifrs-fullCurrentLiabilities_Standard" id="infreaab_ifrs-fullCurrentLiabilities_Standard" xlink:role="http://www.xbrl.org/2003/role/label" xlink:type="resource" xml:lang="sv">Summa kortfristiga skulder</label>
    <label xlink:label="label_infreaab_ifrs-fullLiabilities_Standard" id="infreaab_ifrs-fullLiabilities_Standard" xlink:role="http://www.xbrl.org/2003/role/label" xlink:type="resource" xml:lang="sv">SUMMA SKULDER</label>
    <label xlink:label="label_infreaab_ifrs-fullEquityAndLiabilities_Standard" id="infreaab_ifrs-fullEquityAndLiabilities_Standard" xlink:role="http://www.xbrl.org/2003/role/label" xlink:type="resource" xml:lang="sv">SUMMA EGET KAPITAL OCH SKULDER</label>
    <label xlink:label="label_infreaab_ifrs-fullEquity_PeriodStart" id="infreaab_ifrs-fullEquity_PeriodStart" xlink:role="http://www.xbrl.org/2003/role/periodStartLabel" xlink:type="resource" xml:lang="sv">Ingående eget kapital</label>
    <label xlink:label="label_infreaab_ifrs-fullProfitLoss_Standard" id="infreaab_ifrs-fullProfitLoss_Standard" xlink:role="http://www.xbrl.org/2003/role/label" xlink:type="resource" xml:lang="sv">Årets resultat</label>
    <label xlink:label="label_infreaab_infreaabOevrigtTotalresultat_Standard" id="infreaab_infreaabOevrigtTotalresultat_Standard" xlink:role="http://www.xbrl.org/2003/role/label" xlink:type="resource" xml:lang="sv">Övrigt totalresultat</label>
    <label xlink:label="label_infreaab_ifrs-fullComprehensiveIncome_Standard" id="infreaab_ifrs-fullComprehensiveIncome_Standard" xlink:role="http://www.xbrl.org/2003/role/label" xlink:type="resource" xml:lang="sv">Årets totalresultat</label>
    <label xlink:label="label_infreaab_ifrs-fullIssueOfEquity_Standard" id="infreaab_ifrs-fullIssueOfEquity_Standard" xlink:role="http://www.xbrl.org/2003/role/label" xlink:type="resource" xml:lang="sv">Kvittningsemission</label>
    <label xlink:label="label_infreaab_ifrs-fullIncreaseDecreaseThroughTreasuryShareTransactions_Standard" id="infreaab_ifrs-fullIncreaseDecreaseThroughTreasuryShareTransactions_Standard" xlink:role="http://www.xbrl.org/2003/role/label" xlink:type="resource" xml:lang="sv">Återköp av egna aktier</label>
    <label xlink:label="label_infreaab_infreaabInbetaldPremieVidUtfaerdandeAvAktieoptioner_Standard" id="infreaab_infreaabInbetaldPremieVidUtfaerdandeAvAktieoptioner_Standard" xlink:role="http://www.xbrl.org/2003/role/label" xlink:type="resource" xml:lang="sv">Inbetald premie vid utfärdande av aktieoptioner</label>
    <label xlink:label="label_infreaab_infreaabSummaTillskottFranOchVaerdeoeverfoeringarTillAEgare_Standard" id="infreaab_infreaabSummaTillskottFranOchVaerdeoeverfoeringarTillAEgare_Standard" xlink:role="http://www.xbrl.org/2003/role/label" xlink:type="resource" xml:lang="sv">Summa tillskott från och värdeöverföringar till ägare</label>
    <label xlink:label="label_infreaab_infreaabAvyttringAvInnehavUtanBestaemmandeInflytande_Standard" id="infreaab_infreaabAvyttringAvInnehavUtanBestaemmandeInflytande_Standard" xlink:role="http://www.xbrl.org/2003/role/label" xlink:type="resource" xml:lang="sv">Avyttring av innehav utan bestämmande infl ytande</label>
    <label xlink:label="label_infreaab_ifrs-fullIncreaseDecreaseThroughDisposalOfSubsidiary_Standard" id="infreaab_ifrs-fullIncreaseDecreaseThroughDisposalOfSubsidiary_Standard" xlink:role="http://www.xbrl.org/2003/role/label" xlink:type="resource" xml:lang="sv">Summa förändringar av ägarandel i dotterbolag</label>
    <label xlink:label="label_infreaab_ifrs-fullIncreaseDecreaseThroughTransactionsWithOwners_Standard" id="infreaab_ifrs-fullIncreaseDecreaseThroughTransactionsWithOwners_Standard" xlink:role="http://www.xbrl.org/2003/role/label" xlink:type="resource" xml:lang="sv">Summa transaktioner med koncernens ägare</label>
    <label xlink:label="label_infreaab_ifrs-fullEquity_PeriodEnd" id="infreaab_ifrs-fullEquity_PeriodEnd" xlink:role="http://www.xbrl.org/2003/role/periodEndLabel" xlink:type="resource" xml:lang="sv">Utgående eget kapital</label>
    <label xlink:label="label_infreaab_infreaabOEverlatelseAvEgnaAktier_Standard" id="infreaab_infreaabOEverlatelseAvEgnaAktier_Standard" xlink:role="http://www.xbrl.org/2003/role/label" xlink:type="resource" xml:lang="sv">Överlåtelse av egna aktier</label>
    <label xlink:label="label_infreaab_infreaabResultatFoereSkatt_Standard" id="infreaab_infreaabResultatFoereSkatt_Standard" xlink:role="http://www.xbrl.org/2003/role/label" xlink:type="resource" xml:lang="sv">Resultat före skatt</label>
    <label xlink:label="label_infreaab_ifrs-fullAdjustmentsToReconcileProfitLossOtherThanChangesInWorkingCapital_Standard" id="infreaab_ifrs-fullAdjustmentsToReconcileProfitLossOtherThanChangesInWorkingCapital_Standard" xlink:role="http://www.xbrl.org/2003/role/label" xlink:type="resource" xml:lang="sv">Justering för poster som inte ingår i kassaflödet</label>
    <label xlink:label="label_infreaab_ifrs-fullAdjustmentsForIncomeTaxExpense_Standard" id="infreaab_ifrs-fullAdjustmentsForIncomeTaxExpense_Standard" xlink:role="http://www.xbrl.org/2003/role/label" xlink:type="resource" xml:lang="sv">Betald inkomstskatt</label>
    <label xlink:label="label_infreaab_ifrs-fullAdjustmentsForDecreaseIncreaseInInventories_Standard" id="infreaab_ifrs-fullAdjustmentsForDecreaseIncreaseInInventories_Standard" xlink:role="http://www.xbrl.org/2003/role/label" xlink:type="resource" xml:lang="sv">Ökning (-)/Minskning (+) av varulager</label>
    <label xlink:label="label_infreaab_ifrs-fullAdjustmentsForDecreaseIncreaseInTradeAndOtherReceivables_Standard" id="infreaab_ifrs-fullAdjustmentsForDecreaseIncreaseInTradeAndOtherReceivables_Standard" xlink:role="http://www.xbrl.org/2003/role/label" xlink:type="resource" xml:lang="sv">Ökning (-)/Minskning (+) av rörelsefordringar</label>
    <label xlink:label="label_infreaab_ifrs-fullAdjustmentsForIncreaseDecreaseInTradeAndOtherPayables_Standard" id="infreaab_ifrs-fullAdjustmentsForIncreaseDecreaseInTradeAndOtherPayables_Standard" xlink:role="http://www.xbrl.org/2003/role/label" xlink:type="resource" xml:lang="sv">Ökning (+)/Minskning (-) av rörelseskulder</label>
    <label xlink:label="label_infreaab_ifrs-fullCashFlowsFromUsedInOperatingActivities_Standard" id="infreaab_ifrs-fullCashFlowsFromUsedInOperatingActivities_Standard" xlink:role="http://www.xbrl.org/2003/role/label" xlink:type="resource" xml:lang="sv">Kassaflöde från den löpande verksamheten</label>
    <label xlink:label="label_infreaab_ifrs-fullPurchaseOfPropertyPlantAndEquipmentClassifiedAsInvestingActivities_Standard" id="infreaab_ifrs-fullPurchaseOfPropertyPlantAndEquipmentClassifiedAsInvestingActivities_Standard" xlink:role="http://www.xbrl.org/2003/role/label" xlink:type="resource" xml:lang="sv">Förvärv av materiella anläggningstillgångar</label>
    <label xlink:label="label_infreaab_ifrs-fullProceedsFromSalesOfPropertyPlantAndEquipmentClassifiedAsInvestingActivities_Standard" id="infreaab_ifrs-fullProceedsFromSalesOfPropertyPlantAndEquipmentClassifiedAsInvestingActivities_Standard" xlink:role="http://www.xbrl.org/2003/role/label" xlink:type="resource" xml:lang="sv">Avyttring av materiella anläggningstillgångar</label>
    <label xlink:label="label_infreaab_ifrs-fullCashFlowsUsedInObtainingControlOfSubsidiariesOrOtherBusinessesClassifiedAsInvestingActivities_Standard" id="infreaab_ifrs-fullCashFlowsUsedInObtainingControlOfSubsidiariesOrOtherBusinessesClassifiedAsInvestingActivities_Standard" xlink:role="http://www.xbrl.org/2003/role/label" xlink:type="resource" xml:lang="sv">Förvärv av dotterföretag, netto likviditetspåverkan</label>
    <label xlink:label="label_infreaab_ifrs-fullProceedsFromOtherLongtermAssetsClassifiedAsInvestingActivities_Standard" id="infreaab_ifrs-fullProceedsFromOtherLongtermAssetsClassifiedAsInvestingActivities_Standard" xlink:role="http://www.xbrl.org/2003/role/label" xlink:type="resource" xml:lang="sv">Avyttring av finansiella tillgångar</label>
    <label xlink:label="label_infreaab_ifrs-fullCashFlowsFromUsedInInvestingActivities_Standard" id="infreaab_ifrs-fullCashFlowsFromUsedInInvestingActivities_Standard" xlink:role="http://www.xbrl.org/2003/role/label" xlink:type="resource" xml:lang="sv">Kassaflöde från investeringsverksamheten</label>
    <label xlink:label="label_infreaab_ifrs-fullProceedsFromExerciseOfOptions_Standard" id="infreaab_ifrs-fullProceedsFromExerciseOfOptions_Standard" xlink:role="http://www.xbrl.org/2003/role/label" xlink:type="resource" xml:lang="sv">Optionspremier</label>
    <label xlink:label="label_infreaab_ifrs-fullPaymentsToAcquireOrRedeemEntitysShares_Standard" id="infreaab_ifrs-fullPaymentsToAcquireOrRedeemEntitysShares_Standard" xlink:role="http://www.xbrl.org/2003/role/label" xlink:type="resource" xml:lang="sv">Återköp av egna aktier</label>
    <label xlink:label="label_infreaab_ifrs-fullProceedsFromBorrowingsClassifiedAsFinancingActivities_Standard" id="infreaab_ifrs-fullProceedsFromBorrowingsClassifiedAsFinancingActivities_Standard" xlink:role="http://www.xbrl.org/2003/role/label" xlink:type="resource" xml:lang="sv">Upptagna lån</label>
    <label xlink:label="label_infreaab_ifrs-fullRepaymentsOfBorrowingsClassifiedAsFinancingActivities_Standard" id="infreaab_ifrs-fullRepaymentsOfBorrowingsClassifiedAsFinancingActivities_Standard" xlink:role="http://www.xbrl.org/2003/role/label" xlink:type="resource" xml:lang="sv">Amortering av lån</label>
    <label xlink:label="label_infreaab_ifrs-fullPaymentsOfLeaseLiabilitiesClassifiedAsFinancingActivities_Standard" id="infreaab_ifrs-fullPaymentsOfLeaseLiabilitiesClassifiedAsFinancingActivities_Standard" xlink:role="http://www.xbrl.org/2003/role/label" xlink:type="resource" xml:lang="sv">Amortering av leasingskuld</label>
    <label xlink:label="label_infreaab_ifrs-fullDividendsPaidToNoncontrollingInterestsClassifiedAsFinancingActivities_Standard" id="infreaab_ifrs-fullDividendsPaidToNoncontrollingInterestsClassifiedAsFinancingActivities_Standard" xlink:role="http://www.xbrl.org/2003/role/label" xlink:type="resource" xml:lang="sv">Förändring av innehav utan bestämmande inflytande</label>
    <label xlink:label="label_infreaab_ifrs-fullCashFlowsFromUsedInFinancingActivities_Standard" id="infreaab_ifrs-fullCashFlowsFromUsedInFinancingActivities_Standard" xlink:role="http://www.xbrl.org/2003/role/label" xlink:type="resource" xml:lang="sv">Kassaflöde från finansieringsverksamheten</label>
    <label xlink:label="label_infreaab_ifrs-fullIncreaseDecreaseInCashAndCashEquivalents_PeriodEnd" id="infreaab_ifrs-fullIncreaseDecreaseInCashAndCashEquivalents_PeriodEnd" xlink:role="http://www.xbrl.org/2003/role/periodEndLabel" xlink:type="resource" xml:lang="sv">Årets kassaflöde</label>
    <label xlink:label="label_infreaab_ifrs-fullCashAndCashEquivalents_PeriodStart" id="infreaab_ifrs-fullCashAndCashEquivalents_PeriodStart" xlink:role="http://www.xbrl.org/2003/role/periodStartLabel" xlink:type="resource" xml:lang="sv">Likvida medel vid årets början</label>
    <label xlink:label="label_infreaab_ifrs-fullCashAndCashEquivalents_PeriodEnd" id="infreaab_ifrs-fullCashAndCashEquivalents_PeriodEnd" xlink:role="http://www.xbrl.org/2003/role/periodEndLabel" xlink:type="resource" xml:lang="sv">Likvida medel vid årets slut</label>
  </labelLink>
</linkbase>